#include "imgui.h"
#include "shuuki_sock.hpp"
#include <list>
#include <string>

using Connection = Shuuki::Socket::Connection;

namespace Shuuki::GUI
{
	void Show(bool& done);
}

namespace Shuuki::GUI::Element
{
	void MenuBar(bool& done);
	void Main();
	void Signals(Connection& sockcon);
}